## ros-noetic-pal-carbon-collector 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_carbon_collector)

find_package(catkin REQUIRED)

catkin_python_setup()

###################################
## catkin specific configuration ##
###################################

catkin_package()


#############
## Install ##
#############

install(PROGRAMS
    scripts/carbon_collector_node.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

foreach(dir config launch)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)


#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)

    find_package(rostest REQUIRED)

    # Disabled test since graphitesend is not released on ROS
    #    add_rostest(test/carbon_collector.test)

endif()

=== debian/changelog ===
ros-noetic-pal-carbon-collector (1.5.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.5.0-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.4.3-1focal) focal; urgency=high

  * Disable test
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.4.2-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.4.1-1focal) focal; urgency=high

  * Remove pal_statistics_msgs from CMakeLists
  * Comment out graphitesend dependency
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.4.0-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.3.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.3.0-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.2.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.2.0-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.1.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.1.0-1focal) focal; urgency=high

  * Rename dependency to python-graphitesend-pip
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.8-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.7-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.6-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.5-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.4-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.3-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.2-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (1.0.0-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Sep 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (0.0.3-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (0.0.2-1focal) focal; urgency=high

  * Merge branch 'statsd_regex' into 'erbium-devel'
    pal_statsd_collector should accept regex for statistics names
    See merge request qa/pal_statistics!2
  * Added execution permissions to both nodes
  * Removed rospy from CMakeLists
  * Updated license
  * Unified versions
  * Merge branch 'master' of gitlab:qa/pal_carbon_collector into erbium-devel
  * Moved files to their own package directory
  * Contributors: Jordan Palacios, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 04 Jul 2018 00:00:00 -0000

ros-noetic-pal-carbon-collector (0.0.1-1focal) focal; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-pal-carbon-collector
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rostest <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-pal-carbon-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pal-statistics-msgs, ros-noetic-rospy
Description: Node that collects statistics from topics and sends them to carbon

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pal-carbon-collector//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
